#Module-Specific definitions
%define mod_name mod_wsgi

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Summary:        Python WSGI adapter module for Apache
Name:           apache-%{mod_name}
Version:        5.0.2
Release:        %mkrel 3
Group:          System/Servers
License:        Apache License
URL:            https://github.com/GrahamDumpleton/mod_wsgi
# Download from GitHub:
# https://github.com/GrahamDumpleton/mod_wsgi/releases
Source0:        https://github.com/GrahamDumpleton/mod_wsgi/archive/%{version}.tar.gz
Source1:        mod_wsgi.conf
Source2:        wsgi.conf
Source3:        mod_wsgi-python3.conf
#atch0:         mod_wsgi-link-apr.patch
Requires:       apache
BuildRequires:  apache-devel
BuildRequires:  pkgconfig(apr-1)
BuildRequires:  libtool

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%package -n apache-python3-%{mod_name}
Summary:        Python3 WSGI adapter module for Apache
Group:          System/Servers
Requires:       apache
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n apache-python3-%{mod_name}
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python3 based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
mkdir -p %{buildroot}%{_httpd_moddir}
# %%py3_install
mv $(find build -name '*.so') %{buildroot}%{_httpd_moddir}/mod_wsgi_python3.so
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_modconfdir}/10_mod_wsgi_python3.conf


%files -n apache-python3-%{mod_name}
%doc LICENSE README*
%config(noreplace) %{_httpd_modconfdir}/10_mod_wsgi_python3.conf
%{_httpd_moddir}/mod_wsgi_python3.so


%changelog
* Sat Mar 01 2025 papoteur <papoteur> 5.0.2-3.mga10
+ Revision: 2154451
- rebuild for python3.13

* Sat Mar 01 2025 daviddavid <daviddavid> 5.0.2-2.mga10
+ Revision: 2154368
- really rebuild for python 3.13

* Sat Mar 01 2025 papoteur <papoteur> 5.0.2-1.mga10
+ Revision: 2154359
- new version 5.0.2
- rebuild for python 3.13

* Sat Dec 30 2023 daviddavid <daviddavid> 4.9.3-2.mga10
+ Revision: 2024441
- rebuild for py3.12

* Wed Aug 10 2022 mrambo3501 <mrambo3501> 4.9.3-1.mga9
+ Revision: 1876609
- version 4.9.3 fixes CVE-2022-2255 (mga#30711)
- deleted patch0 which no longer applies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Fri Mar 26 2021 daviddavid <daviddavid> 4.7.1-1.mga9
+ Revision: 1710318
- new version: 4.7.1
+ neoclust <neoclust>
- Rebuild against python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 4.6.8-4.mga8
+ Revision: 1608245
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.6.8-3.mga8
+ Revision: 1534995
- Mageia 8 Mass Rebuild

* Tue Oct 08 2019 tv <tv> 4.6.8-2.mga8
+ Revision: 1450541
- new release + disable underlinking
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 4.6.5-1.mga7
+ Revision: 1350852
- Rebuild for python3 3.7

* Sat Oct 06 2018 daviddavid <daviddavid> 4.6.4-1.mga7
+ Revision: 1318108
- new version: 4.6.4
- fix apr-1 linking issue
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 daviddavid <daviddavid> 4.4.22-2.mga7
+ Revision: 1137571
- Rebuild for python 3.6

* Thu Feb 11 2016 shlomif <shlomif> 4.4.22-1.mga6
+ Revision: 953713
- New version + fix build
+ luigiwalser <luigiwalser>
- add patch to fix linking with libapr
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 4.2.6-5.mga6
+ Revision: 887249
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 4.2.6-4.mga5
+ Revision: 748965
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.2.6-3.mga5
+ Revision: 725946
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.2.6-2.mga5
+ Revision: 677848
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 oden <oden> 4.2.6-1.mga5
+ Revision: 658866
- da capo
- added any README file
- 4.2.6
- 4.2.4

* Wed Jun 04 2014 fwang <fwang> 3.5-2.mga5
+ Revision: 632833
- rebuild for new python3

* Wed May 21 2014 shlomif <shlomif> 3.5-1.mga5
+ Revision: 624727
- New version 3.5

* Wed Apr 16 2014 philippem <philippem> 3.4-4.mga5
+ Revision: 615301
- add python3

* Fri Oct 18 2013 umeabot <umeabot> 3.4-3.mga4
+ Revision: 502542
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 345874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 oden <oden> 3.4-1.mga3
+ Revision: 334677
- 3.4

* Sun Aug 12 2012 guillomovitch <guillomovitch> 3.3-7.mga3
+ Revision: 280787
- fix build with apache 2.4
- adapt to new apache setup

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.3-6.mga2
+ Revision: 223851
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 anssi <anssi> 3.3-5.mga2
+ Revision: 223593
- drop ifdefine conditional in configuration as per changes in
  apache init handling

* Sun Sep 18 2011 dmorgan <dmorgan> 3.3-4.mga2
+ Revision: 144686
- Fix buildrequires
- Change apache-conf require

* Fri Feb 04 2011 ahmad <ahmad> 3.3-3.mga1
+ Revision: 46788
- imported package apache-mod_wsgi


* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 3.3-3mdv2011.0
+ Revision: 592700
- rebuild for python 2.7

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3-2mdv2011.0
+ Revision: 588089
- rebuild

* Tue Oct 19 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3-1mdv2011.0
+ Revision: 586711
- 3.3

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5-3mdv2010.1
+ Revision: 516265
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5-2mdv2010.0
+ Revision: 406682
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5-1mdv2010.0
+ Revision: 387751
- 2.5
- nuke redundant patches

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-3mdv2009.1
+ Revision: 326274
- rebuild

* Mon Dec 29 2008 Michael Scherer <misc@mandriva.org> 2.3-2mdv2009.1
+ Revision: 320992
- add patch for format string error
- rebuild for new python

* Thu Oct 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-1mdv2009.1
+ Revision: 294280
- 2.3

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdv2009.0
+ Revision: 270290
- 2.1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdv2009.0
+ Revision: 235131
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.0
+ Revision: 215674
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Sat May 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-1mdv2009.0
+ Revision: 205396
- 2.0

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.1
+ Revision: 182876
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.1
+ Revision: 103921
- fix deps
- import apache-mod_wsgi


* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.1
- initial Mandriva package
